strnul(3)

NAME
strnul - string search NUL

LIBRARY
gnulib - The GNU Portability Library

SYNOPSIS
#include <string.h>

char *strnul(char *s);
const char *strnul(const char *s);

DESCRIPTION
strnul() calculates the position of the terminating null byte ('\0') in the string pointed to by s.

It is equivalent to both of the following expressions:

    s + strlen(s)
    strchr(s, '\0')

RETURN VALUE
strnul() returns a pointer to the terminating null byte in the string pointed to by s.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
GNU.

HISTORY
gnulib 202607.

SEE ALSO
strlen(3), strchr(3), string(3)